//-----------------------------------------------------------------------------
// Title      : bsp_ub064_mk3_ea_dip
//-----------------------------------------------------------------------------
// Funktion   : EA-eDIP-Display (eDIP-TFT-32)
// Schaltung  : myAVR MK3
//-----------------------------------------------------------------------------
// Prozessor  : ATMega2560
// Takt       : 16 MHz
// Sprache    : C
// Date       : 27.11.2012
// Version    : 1.0
// Autor      : UB
//-----------------------------------------------------------------------------
#define F_CPU 16000000
#include <avr/io.h>
#include <ub_ext_module/EXT_LCD_EA_eDIP_TFT.h>
#include <ub_mk3_2560/MK3_2560_LED.h>
#include <ub_mk3_2560/MK3_2560_KEY.h>

//-----------------------------------------------------------------------------
// Hinweis : Display muss laut Datenblatt angeschlossen sein
//           (auf dem Display muss das Beispiel Nr. 64 programmiert sein)
//           QuickJumper : Port-L und Port-K muss geschlossen sein
//           Es wird an den LEDs der Touchcode der Display-Buttons angezeigt
//           (oder 0x55 wenn kein Display gefunden wurde)
//           Mit Key1 wird das Display Makro Nr.1 gestartet
//           Mit Key2 wird das Display Makro Nr.2 gestartet
//-----------------------------------------------------------------------------


int main (void)
{
	int check;
	unsigned char wert;
	
	// Display initialisieren
	EXT_LCD_INIT_EA_EDIP();
	
	// LEDs initialisieren
	MK3_INIT_LED();
	// alle LEDs AUS
	MK3_LED_ZAHL(0x00);
	
	// Tasten initialisieren
	MK3_INIT_KEY();
	
	wert=0;
	while (true)
	{
		// Touch vom Display abfragen
		check=LCD_EA_EDIP_READ_TOUCH();
		if(check<0) {
			// Fehler !! (event. kein Display vorhanden)
			MK3_LED_ZAHL(0x55);
		}
		else if(check>0) {
			// empfangenen Touchcode an den LEDs anzeigen
			wert=check;
			MK3_LED_ZAHL(wert);
		}
		
		if(MK3_KEY_SET(BUTTON1)==true) {
			// wenn Button 1 gedrueckt wurde
			// Makro NR 1 am Display starten
			LCD_EA_EDIP_CMD_01(1);
		}
		if(MK3_KEY_SET(BUTTON2)==true) {
			// wenn Button 2 gedrueckt wurde
			// Makro NR 2 am Display starten
			LCD_EA_EDIP_CMD_01(2);
		}
	}
	return 0;
}
//-----------------------------------------------------------------------------






